Attend XDA's Second Annual Developer Conference, XDA:DevCon 2014!
5,812,110 Members 39,739 Now Online
XDA Developers Android and Mobile Development Forum

[4.4.x][OFFICIAL][NIGHTLIES][UNIFIED][jflte] Omni

Tip us?
 
jakew02
Old
#1  
Recognized Developer / Recognized Contributor - OP
Thanks Meter 2,834
Posts: 2,184
Join Date: Mar 2011
Location: Philadelphia

 
DONATE TO ME
Default [4.4.x][OFFICIAL][NIGHTLIES][UNIFIED][jflte] Omni

DO NOT post in this thread until you have read the first three posts and last two pages of this thread in their entirety!

"Me Too" posts for known issues with no useful debugging information WILL BE REPORTED.

What is Omni?

Omni Gerrit Review

OmniLog - changelog


Disclaimer
Code:
#include <std_disclaimer.h>
/*
 * Your warranty is now void.
 *
 * I am not responsible for bricked devices, dead SD cards,
 * thermonuclear war, or you getting fired because the alarm app failed. Please
 * do some research if you have any concerns about features included in this ROM
 * before flashing it! YOU are choosing to make these modifications, and if
 * you point the finger at me for messing up your device, I will laugh at you. Hard. A lot.
 */
ROM:
Omni for Samsung Galaxy S 4

Gapps:
http://forum.xda-developers.com/show....php?t=2397942
(recommend the MODULAR FULL package, however, keep in mind that the STOCK package is intended for Nexus devices)

UPDATE FROM VARIANT OMNI BUILD TO UNIFIED BUILD
Backup your apps and other pertinent data and DO A FULL WIPE.
Don't complain about it. Just do it. If you try to post bug reports or complaints and you have not conducted a wipe of:
  • /system
  • /data
  • /cache
  • /dalvik
    I will completely and utterly ignore you, as well as report your post for not reading the clearly posted rules at the top of this post.

UPDATE FROM OMNI VIA OPEN DELTA UPDATER
Settings -> System Updates -> Check for update
You will NOT need to wipe anything with the delta updates unless it is explicitly stated or you start having strange issues.


Omni only supports TWRP recovery, use any alternate recovery at your own risk.

XDA:DevDB Information
Omni for Galaxy S4, ROM for the Samsung Galaxy S 4

Contributors
jakew02, xplodwild
ROM OS Version: 4.4.x KitKat
ROM Kernel: Linux 3.4.x

Version Information
Status: Alpha

Created 2014-05-28
Last Updated 2014-05-28
The Following 10 Users Say Thank You to jakew02 For This Useful Post: [ Click to Expand ]
 
jakew02
Old
(Last edited by jakew02; 10th June 2014 at 12:13 AM.)
#2  
Recognized Developer / Recognized Contributor - OP
Thanks Meter 2,834
Posts: 2,184
Join Date: Mar 2011
Location: Philadelphia

 
DONATE TO ME
Info 2 Important Information

This is NOT the place to ask questions like:
  • When will <feature> be included?
  • Is <feature> included yet?
  • Can you bring <feature> to Omni?
  • ETAs of any nature


Follow the rules. This is a new thread and it WILL remain clean and ON TOPIC. I will immediately report any off-topic posts, trolling, flaming, etc. of any sort. This is a DEVELOPMENT thread, and as such, has been posted in the DEVELOPMENT section.

INCLUDE LOGS when reported a bug. Even if you think that you might be the only one with the bug, POST LOGS, that will help narrow down the issue about 100 million times! :)

Explore the ROM a bit before posting here things like " WHERE IS <feature> CAN YOU ADD FEATURE etc. etc.
You have to understand, that gets extremely annoying after 50 posts like that. Most features can be seen on the blog or in the MERGED section of gerrit.




Root IS NOT included with Omni by default, so you will need to flash SuperSU in recovery SuperSU

How to build Omni from sources:
OmniROM - Setting Up A Compile Environment

Bug Reports and Feature Requests
jira.omnirom.org
The Following 5 Users Say Thank You to jakew02 For This Useful Post: [ Click to Expand ]
 
jakew02
Old
(Last edited by jakew02; 28th May 2014 at 07:03 PM.)
#3  
Recognized Developer / Recognized Contributor - OP
Thanks Meter 2,834
Posts: 2,184
Join Date: Mar 2011
Location: Philadelphia

 
DONATE TO ME
Info 2 Important Information Part 2


Omni XDA Discussion ( NOT DEVICE RELATED DISCUSSION ONLY)
http://forum.xda-developers.com/omni

IRC
Web Client

irc.freenode.net
#omni
The Following 2 Users Say Thank You to jakew02 For This Useful Post: [ Click to Expand ]
 
matrixzone
Old
#4  
matrixzone's Avatar
Senior Member
Thanks Meter 778
Posts: 2,454
Join Date: Mar 2012
First
If this is helpful or useful, please hit "Thanks" and its free
 
buzzwyzr
Old
#5  
buzzwyzr's Avatar
Senior Member
Thanks Meter 464
Posts: 703
Join Date: Jul 2010
Location: Woodland
Using 052814 unified build with 052414 full modular gapps...ROM boots but gets stuck at the "setup wizard". After you select your language and press the white triangle it reads " Welcome...please wait a few minutes" for a minute or so...the the screen goes black except for the status bar and the backlights on the hardware keys stay on.

I clean flashed twice then downloaded the ROM and gapps for a 2nd time then clean flashed those twice...all with the same results as described above.

Hope this helps.

Sent from my SPH-L720 using Tapatalk
 
rabiny
Old
#6  
Senior Member
Thanks Meter 6
Posts: 119
Join Date: Feb 2011
Hello,

I know one can flash the 9505 rom on the i337m becuse the bootloader is not locked, but what about the AT&T version (i337), can i flash this (jflte) version on my i337 ?
Code:
/dev/null
 
jakew02
Old
(Last edited by jakew02; 28th May 2014 at 08:35 AM.)
#7  
Recognized Developer / Recognized Contributor - OP
Thanks Meter 2,834
Posts: 2,184
Join Date: Mar 2011
Location: Philadelphia

 
DONATE TO ME
Quote:
Originally Posted by rabiny View Post
Hello,

I know one can flash the 9505 rom on the i337m becuse the bootloader is not locked, but what about the AT&T version (i337), can i flash this (jflte) version on my i337 ?
Yes. If you notice, I closed the individual variant threads and put a direct link to this thread. Basically, you can see a list of supported variants by checking this:

https://github.com/omnirom/android_d...Config.mk#L129

That is the list of device asserts that the updater-script will accept.

Quote:
Originally Posted by buzzwyzr View Post
Using 052814 unified build with 052414 full modular gapps...ROM boots but gets stuck at the "setup wizard". After you select your language and press the white triangle it reads " Welcome...please wait a few minutes" for a minute or so...the the screen goes black except for the status bar and the backlights on the hardware keys stay on.

I clean flashed twice then downloaded the ROM and gapps for a 2nd time then clean flashed those twice...all with the same results as described above.

Hope this helps.

Sent from my SPH-L720 using Tapatalk
I just flashed the 05/28 nightly (on my jfltespr) with the 4-16 Minimal PA Gapps with absolutely no errors. This most definitely sounds like a Gapps problem to me, since the SetupWizard is not packaged or built with the ROM, but instead flashed with Gapps. This is why if you were to NOT flash a Gapps package, you don't have to run through it.
 
rabiny
Old
#8  
Senior Member
Thanks Meter 6
Posts: 119
Join Date: Feb 2011
Quote:
Originally Posted by jakew02 View Post
Yes. If you notice, I closed the individual variant threads and put a direct link to this thread. Basically, you can see a list of supported variants by checking this:

https://github.com/omnirom/android_d...Config.mk#L129

That is the list of device asserts that the updater-script will accept.
Thank you for the quick reply,
What about the locked bootloader, Are there any points I should pay attention to ?
Or i can just download the recent file (from http://dl.omnirom.org/jflte/) and flash it over my current version (jflteatt)
Code:
/dev/null
 
jakew02
Old
#9  
Recognized Developer / Recognized Contributor - OP
Thanks Meter 2,834
Posts: 2,184
Join Date: Mar 2011
Location: Philadelphia

 
DONATE TO ME
Quote:
Originally Posted by rabiny View Post
Thank you for the quick reply,
What about the locked bootloader, Are there any points I should pay attention to ?
Or i can just download the recent file (from http://dl.omnirom.org/jflte/) and flash it over my current version (jflteatt)
If you are already running Omni then you're fine. Just follow the instructions from the OP.

These instructions are written under the assumption that you know how to root and install a custom recovery.

Sent from my X9006 using Tapatalk
The Following User Says Thank You to jakew02 For This Useful Post: [ Click to Expand ]
 
ahoslc
Old
#10  
Senior Member
Thanks Meter 139
Posts: 966
Join Date: Mar 2010
Location: salt lake city
Is custom hot word launcher built in yet?

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes